<?php
 session_start();
    
   include("../pdate.php");
   $todayDate= pdate("Y/m/d");
   $date = new DateTime('-30 day');

    
  $startDate=$date->format('Y/m/d'); 
  $startDate=pdate("Y/m/d"); 
  
  $customerName=$_SESSION['customerName'];
  
 // $customar_id=$_SESSION['customar_code'];
    $customerID=$_GET['customerID'];
 if($customerID!=0){
	   $customer_id=$customerID ;
	   $customer_id=$_SESSION['customar_code']=$customer_id;
 }
if($customerID==0){
	 $customer_id= $_SESSION['customar_code'];
	
 }
 
 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>Customer Payment List</title>
<head>
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="950px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   
			
			
			
			
			<?php 
			       
			  
			   
			  
			   
			   
			     echo '</th>
			     <th style="width:206px"><h2>'?><?php include("../info/companyName.php") ?><?php echo '</h2>لیست حسابهای محترم&nbsp;'.ucfirst($customerName);
			      echo '</br> '.pdate("Y-m-d" ).'</th>';
			  
			  ?>
			
			<th style="width:186px;text-align:left" > </th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  
<!--==========================================================================================-->  
<!--==========================================================================================-->  
<!--==========================================================================================-->  
	<?php  
	    
   include("db.php");
	 
    //$customer_id = $_SESSION['customar_code'];
	 
    
	$tableName="customerbalance";		
	$targetpage = "customerAcountDetails.php"; 	
	$limit = 12; 
	
	$sql="SELECT COUNT(*) as num FROM `$tableName` where customerId='$customer_id' ";
	
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">نوعیت حساب</th>
				<th scope="col">مبلغ</th>
				 
				 
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						 

							
						 $table_name="customerpayment";
						 
					 
						 
							
						   //=====================currency Statment=============================
						   $currency_id_sql="select * from  currencies";
						   $currency_id_query= $db ->query($currency_id_sql);
						   while($currency_id_row=$currency_id_query ->fetch_array()){
						   $currency_id=$currency_id_row['id'];
						   $name=$currency_id_row['name'];
						   //=====================currency Statment=============================
							$i; 
							//avordegi Pool
						    $avordegi_sql="select sum(amount) as amount from customer_statement where customerId='$customer_id' and transaction_type=1 and currency_id='$currency_id' ";
						    $avordegi_query= $db ->query($avordegi_sql);
							$avordegi_row=$avordegi_query ->fetch_array();
							$avordegi=$avordegi_row['amount'];
						   
						   //$avordegi_sql 
							 
							//bordegi Pool
						    $bordegi_sql="select sum(amount) as amount from customer_statement where customerId='$customer_id' and transaction_type=2 and currency_id='$currency_id'  ";
						    $bordegi_query= $db ->query($bordegi_sql);
							$bordegi_row=$bordegi_query ->fetch_array();
							$bordegi=$bordegi_row['amount'];
						   
						   //$bordegi 
							 
							$balance=($avordegi)-$bordegi;
							 
							//=============================================================
							 
							 
							//******************************Currency Name*******************************
							 $buycurrency_sql="select name from  `currencies` where id='$currencyId'";
							 $buycurrency_query=$db ->query($buycurrency_sql);
							 $buycurrency_row=$buycurrency_query ->fetch_array();
							 $buycurrency=$buycurrency_row['name'];	
							//=============================================================
							 
							//=============================================================
							 
							 if($balance!=0){
							 $i++;
							 
										 
							echo "<tbody>
							<tr>
							<td>".$i."</td>
							<td>".$name."</td>
							<td style='text-align: center' dir='ltr'>".number_format($balance)."</td>";
							 
							 
							} 
							 
							 
							 
							 echo "</tr>";					  
				 	  } 
		 
			 
		 
	 echo'    	</table>';
	 echo "<br></div>";
	 echo "<div class='dontPrint'>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
//===================================================================================================================================				 			
  ?> 
	
			
 </tbody></table>
</div>
</div>  
 </body>
 </form>
 </html>  
  
 
     